﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceProcess;
using System.Text;

namespace MCCLGTelevisionService
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {
            if (args != null && args.Length > 0 && args[0] == "/console")
            {
                var tvHost = new MCCLGTelevisionHost();
                tvHost.Start();
                Console.WriteLine("Press any key to exit...");
                Console.ReadKey();
                tvHost.Stop();
            }
            else
            {
                ServiceBase[] ServicesToRun;
                ServicesToRun = new ServiceBase[] 
			    { 
				    new MCCLGTelevisionService() 
			    };
                ServiceBase.Run(ServicesToRun);
            }
        }
    }
}
