﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MediaCenterCommander.RemoteInterfaces
{
    public interface IMediaCenterController
    {
        void SwitchToLiveTV();
        void WatchTVChannel(int channel);
        void StartSlideshow(string path);

        string GetMediaCenterEnvironmentVersion();

        void Play();
        void Pause();        
        void Stop();

        void SkipForward();
        void SkipBack();

        string GetMediaMetadata();
    }
}
