﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MediaCenterCommander.RemoteInterfaces
{
    public interface ITelevisionController
    {
        bool IsPoweredOn { get; }
        void PowerOn();
        void PowerOff();

        bool IsMuted { get; }
        void MuteToggle();
        void MuteOn();
        void MuteOff();

        int VolumeLevel { get; set; }
        void VolumeUp();
        void VolumeDown();
    }
}
